use scanner::Scanner;

mod scanner;
mod token;

fn main() {
    let scanner = Scanner::new(
        "
$false = λtf.f
# mrow!
$true = λtf.t

λa.(a $true)
",
    );

    for t in scanner.scan_tokens().unwrap() {
        dbg!(t.token_type);
    }
}
